' QDigDisplay component for Rapid-Q by Peter Molloy
' ver : 1.01
' 15 April 2001
' teliah@optushome.com.au



TYPE QDigDisplay EXTENDS QCanvas
     PRIVATE :
              DImage AS QIMAGELIST
              DRect AS QRECT
              SRect AS QRECT
              DBitMap AS QBITMAP
     PUBLIC : 
              Left AS LONG
              Top AS LONG
              Width AS LONG
              Height AS LONG
              Display AS STRING 
              
     CONSTRUCTOR
              DImage.Width = 12
              DImage.Height = 24
              DImage.BkColor = clDefault
              DImage.AddBMPFile CURDIR$+ "/Graphics/32.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/33.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/34.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/35.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/36.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/37.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/38.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/39.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/40.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/41.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/42.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/43.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/44.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/45.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/46.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/47.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/48.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/49.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/50.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/51.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/52.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/53.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/54.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/55.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/56.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/57.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/58.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/59.bmp", 0 
              DImage.AddBMPFile CURDIR$+ "/Graphics/60.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/61.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/62.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/63.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/64.bmp", 0 
              DImage.AddBMPFile CURDIR$+ "/Graphics/65.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/66.bmp", 0 
              DImage.AddBMPFile CURDIR$+ "/Graphics/67.bmp", 0 
              DImage.AddBMPFile CURDIR$+ "/Graphics/68.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/69.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/70.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/71.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/72.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/73.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/74.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/75.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/76.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/77.bmp", 0 
              DImage.AddBMPFile CURDIR$+ "/Graphics/78.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/79.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/80.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/81.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/82.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/83.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/84.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/85.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/86.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/87.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/88.bmp", 0
              DImage.AddBMPFile CURDIR$+ "/Graphics/89.bmp", 0 
              DImage.AddBMPFile CURDIR$+ "/Graphics/90.bmp", 0                   
              Display = "0"
              
              
     END CONSTRUCTOR
     
     
         
     SUB DrawDisplay 
         WITH QDigDisplay              
              .Height = QDigDisplay.DImage.Height 
              .Width = QDigDisplay.DImage.Width * LEN(.Display)
              .ClientWidth = .Width + .Left
                     FOR L = 0 TO LEN(.Display)-1
                             N = ASC(MID$(.Display,L+1))
                             IF N > 90 THEN N = N - 32
                             N = N - 32
                                 .Draw(.Left + L* QDigDisplay.DImage.Width,.Top, _
                                 QDigDisplay.DImage.GetBMP(N))
                     NEXT 
               
         END WITH      
     END SUB

     EVENT OnPaint 
           QDigDisplay.DrawDisplay
     END EVENT
     
     
END TYPE

